# Class GetDisputeRequest

#### Hierarchy

- unknown
  - GetDisputeRequest

- Defined in src/protobuf/grpc_pb.d.ts:440
- Defined in src/protobuf/grpc_pb.d.ts:452

#####
Index

### Constructors

constructor

### Methods

getTradeId
serializeBinary
setTradeId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetDisputeRequest(): GetDisputeRequest

- #### Returns GetDisputeRequest

  Inherited from jspb.Message.constructor

## Methods

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:441

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:444

### setTradeId

- setTradeId(value: string): GetDisputeRequest

- #### Parameters

  - ##### value: string

  #### Returns GetDisputeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:442

### toObject

- toObject(includeInstance?: boolean): GetDisputeRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetDisputeRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:445

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetDisputeRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetDisputeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:448

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetDisputeRequest, reader: BinaryReader): GetDisputeRequest

- #### Parameters

  - ##### message: GetDisputeRequest

  - ##### reader: BinaryReader

  #### Returns GetDisputeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:449

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetDisputeRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetDisputeRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:447

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetDisputeRequest): GetDisputeRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetDisputeRequest

  #### Returns GetDisputeRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:446

Generated using TypeDoc